FPGA, SoC, And CPLD Boards And Kits
FPGA Evaluation and Development Kits
6020 Discussions

Configuring the FPGA Fabric from Linux

lanjw
Beginner
553 Views

I follow the 6.2 chapter of "ug-agilex-soc-boot-683389-766161.pdf" file to configure the fpga fabric from linux. But the error is occurred:

lanjw_0-1688634024512.png

I don't know what happened. Please help!

 

The following message should be told to you:

1. Quartus Prime version: 22.4;

2. Linux kernel version: 5.15.70;

3. Soc fpga type: Agilex7;

4. Match to below requirements:

lanjw_1-1688634817261.png

 

 

Labels (1)
0 Kudos
4 Replies
aikeu
Employee
523 Views

Hi lanjw,


May I know are you working with a gsrd?

You can try to get the gsrd first to boot with prebuilt binaries in order to check without issue and also as a reference to troubleshoot any issue when building your own images.

https://www.rocketboards.org/foswiki/Documentation/AgilexSoCGSRD#Booting_Linux_Using_Precompiled_Binaries


Then by following the building bootloader document to modify/build part of the binaries to test out for any issue comparing with the prebuilt binaries.

https://www.rocketboards.org/foswiki/Documentation/BuildingBootloaderAgilex7


Thanks.

Regards,

Aik Eu


0 Kudos
aikeu
Employee
478 Views

Hi lanjw,


May I know any feedback from the previous comment?


Thanks.

Regards,

Aik Eu


0 Kudos
aikeu
Employee
433 Views

Hi lanjw,


I will close this thread if no further feedback.


Thanks.

Regards,

Aik Eu


0 Kudos
aikeu
Employee
397 Views

Hi lanjw,


We do not receive any response from you to the previous question/reply/answer that I have provided. This thread will be transitioned to community support. If you have a new question, feel free to open a new thread to get the support from Intel experts. Otherwise, the community users will continue to help you on this thread. Thank you.


Thanks.

Regards,

Aik Eu


0 Kudos
Reply